#!/bin/bash
#DATA|TITLE|Creazione Certificato
#DATA|DESCRIZ|Crea un Certificato utilizzando cloudflare per dominio e *.dominio
#DATA|SOCK|true

if [ "$1" = "" ]; then
  read -p "Inserisci il nome del Dominio " DOMINIO
else
  DOMINIO=$1
fi

echo sudo certbot certonly --dns-cloudflare --dns-cloudflare-credentials /root/.secrets/certbot/cloudflare.ini -d $DOMINIO,*.$DOMINIO --preferred-challenges dns-01

read -p "CONTINUARE ed Eseguirlo ? (Y/N) ? " risposta

if [[ $risposta == "Y" || $risposta == "y" ]]; then

  sudo certbot certonly --dns-cloudflare --dns-cloudflare-credentials /root/.secrets/certbot/cloudflare.ini -d $DOMINIO,*.$DOMINIO --preferred-challenges dns-01

fi
